import { baseRequest } from "@/utils/request";
const request = (url, ...arg) =>
  baseRequest(`interactiveCommunication/` + url, ...arg);
export default {
  // 信访举报
  submitReport(data) {
    return request("icPublicComplaint/add", data, "post");
  },
  // 管理端-回复
  getDetails(data) {
    return request("icPublicComplaint/edit", data, "get");
  },

  // 网站-举报跟踪
  getDetails(data) {
    return request("icPublicComplaint/reportTracking", data, "get");
  },
  // 网站-添加领导信箱分页展示
  leaderMailbox(data) {
    return request("icLeaderMailbox/add", data, "post");
  },
  // 获取互动交流-领导信箱表详情
  getMailboxDetail(data) {
    return request("icLeaderMailbox/detail", data, "get");
  },
  // 网站-一页展示5条数据+更多详情页
  getMailboxList(data) {
    return request("icLeaderMailbox/getSitePage", data, "get");
  },
  // 网站-民意分页展示
  getSitePage(data) {
    return request("icPublicOpinionCollect/getSitePage", data, "get");
  },
  // 获取互动交流-民意征集管理表详情
  popularWilldetail(data) {
    return request("icPublicOpinionCollect/detail", data, "get");
  },
  // 添加互动交流-民意征集管理-留言表
  leaveMessage(data) {
    return request("icPublicOpinionCollectMessage/add", data, "post");
  },
};
